%define major		165
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d

Name:		x265
Version:	2.9
Release:	%mkrel 1
Summary:	H265/AVC encoder
License:	GPLv2
Group:		Video/Utilities
Url:		http://x265.org/
Source0:	http://ftp.videolan.org/pub/videolan/x265/%{name}-%{version}.tar.gz
Patch2:		arm.patch
# From https://bitbucket.org/multicoreware/x265/issues/442/detect512-is-needed-on-all-architectures
Patch3:		enable512.diff
BuildRequires:	yasm
%ifarch %ix86 x86_64
BuildRequires:	nasm
%endif
BuildRequires:	cmake

%description
x265 is an open-source project and free application library for encoding
video streams into the H.265/High Efficiency Video Coding (HEVC) format.

This package is in tainted repository as the video encoder may be covered
by software patents.

%package -n	%{libname}
Summary:	Shared library of x265
Group:		System/Libraries

%description -n	%{libname}
x265 dynamic libraries.

%package -n	%{develname}
Summary:	H265/AVC encoding library headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files for %{name}.

%prep
%setup -q

%build
%ifarch aarch64
export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -fPIC"
%endif
%cmake ../source \
%ifarch %{arm} aarch64
  -DENABLE_ASSEMBLY=OFF
%else
  -DENABLE_ASSEMBLY=ON
%endif

%make_build

%install
%make_install -C build

#TODO disable static build
rm %{buildroot}%{_libdir}/libx265.a

%files
%doc COPYING
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/libx265.so.%{major}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/libx265.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Dec 23 2018 adrianomorselli <adrianomorselli> 2.9-1uplos2018
- updated from mageia tainted
